<!--- check to see if data was added, updated, or deleted from the grid --->
<CFIF IsDefined('form.MyGrid.rowstatus.action')>

<!--- loop over each instance of a grid action --->
<CFLOOP INDEX = "i" FROM = "1" TO ="#ArrayLen(form.MyGrid.rowstatus.action)#">

  <!--- If the action is Insert, insert a new record --->
  <CFIF form.MyGrid.rowstatus.action[i] IS "I">
    <CFQUERY NAME="InsertNewEmployee"
             DATASOURCE="ProgrammingCF">
             INSERT into EmployeeDirectory
                         (Name, Title, Department, Email, PhoneExt)
             VALUES ('#form.MyGrid.Name[i]#', '#form.MyGrid.Title[i]#',
                     '#form.MyGrid.Department[i]#', '#form.MyGrid.Email[i]#',
                      #form.MyGrid.PhoneExt[i]#)
    </CFQUERY>

    <!--- If the action is Update, update the record --->
  <CFELSEIF form.MyGrid.rowstatus.action[i] IS "U">
    <CFQUERY NAME="UpdateExistingEmployee"
             DATASOURCE="ProgrammingCF">
             UPDATE EmployeeDirectory
             SET Name='#form.MyGrid.Name[i]#',
                 Title='#form.MyGrid.Title[i]#',
                 Department='#form.MyGrid.Department[i]#',
                 Email='#form.MyGrid.Email[i]#',
                 PhoneExt=#form.MyGrid.PhoneExt[i]#
             WHERE ID=#form.MyGrid.original.ID[i]#
    </CFQUERY>

  <!--- If the action is Delete, Delete the record --->
  <CFELSEIF form.MyGrid.rowstatus.action[i] IS "D">
    <CFQUERY NAME="DeleteExistingEmployee" 
             DATASOURCE="ProgrammingCF">
             DELETE FROM EmployeeDirectory
             WHERE ID=#form.MyGrid.original.ID[i]#
    </CFQUERY>
  </CFIF>
</CFLOOP>
</CFIF>

<!--- create/recreate the grid from a query --->
<CFQUERY NAME="GetPeople" DATASOURCE="ProgrammingCF">
   SELECT * FROM EmployeeDirectory
</CFQUERY>

<CFFORM ACTION="10-15.cfm" ENABLECAB="Yes" NAME="MyForm" 
        ENCTYPE="application/x-www-form-urlencoded">

<CFGRID NAME="MyGrid" WIDTH="600" HEIGHT="250" QUERY="GetPeople" 
        INSERT="Yes" DELETE="Yes" SORT="Yes" FONT="Arial" BOLD="No" ITALIC="No"
        APPENDKEY="No" HIGHLIGHTHREF="No" GRIDDATAALIGN="LEFT" GRIDLINES="Yes"
        ROWHEADERS="Yes" ROWHEADERALIGN="LEFT" ROWHEADERITALIC="No"
        ROWHEADERBOLD="No" COLHEADERS="Yes" COLHEADERALIGN="LEFT"
        COLHEADERITALIC="No" COLHEADERBOLD="No" SELECTCOLOR="Red"
        SELECTMODE="EDIT" PICTUREBAR="No" 
        INSERTBUTTON="Add New Record" DELETEBUTTON="Delete" 
        SORTASCENDINGBUTTON="Sort ASC" SORTDESCENDINGBUTTON="Sort DESC">

<!--- hide the ID (primary key) field, but make the value available for
      updates and deletes. --->
<CFGRIDCOLUMN NAME="ID" DISPLAY="No" HEADERITALIC="No">
                     
<CFGRIDCOLUMN NAME="Name" HEADER="Name" HEADERALIGN="LEFT" DATAALIGN="LEFT" 
              BOLD="Yes" ITALIC="No" SELECT="Yes" DISPLAY="Yes" HEADERBOLD="No" 
              HEADERITALIC="Yes">

<CFGRIDCOLUMN NAME="Title" HEADER="Title" HEADERALIGN="LEFT" DATAALIGN="LEFT" 
              BOLD="No" ITALIC="No" SELECT="Yes" DISPLAY="Yes" HEADERBOLD="No" 
              HEADERITALIC="No">

<CFGRIDCOLUMN NAME="Department" HEADER="Department" HEADERALIGN="LEFT" 
              DATAALIGN="LEFT" FONT="Times" BOLD="No" ITALIC="No" SELECT="Yes" 
              DISPLAY="Yes" HEADERBOLD="No" HEADERITALIC="No">

<CFGRIDCOLUMN NAME="Email" HEADER="E-mail" HEADERALIGN="LEFT" DATAALIGN="LEFT" 
              BOLD="No" ITALIC="No" SELECT="Yes" DISPLAY="Yes" HEADERBOLD="No" 
              HEADERITALIC="No">

<CFGRIDCOLUMN NAME="PhoneExt" HEADER="Phone ext." HEADERALIGN="LEFT" 
              DATAALIGN="LEFT" BOLD="No" ITALIC="No" SELECT="Yes" DISPLAY="Yes" 
              HEADERBOLD="No" HEADERITALIC="No">
</CFGRID>
<BR>
<INPUT TYPE="Submit" NAME="submit" VALUE="Submit Changes">
<INPUT type="hidden" NAME="GridChanged" VALUE="yes">
</CFFORM>
