<!--- set a default of "" for Form.Department since the parameter isn't passed
      if no department is selected --->
<CFPARAM NAME="Form.Department" DEFAULT="">

<!--- query the EmployeeDirectory table with an SQL statement dynamically
      generated by the parameters passed in as form field values. --->
<CFQUERY NAME="GetRecords" DATASOURCE="ProgrammingCF">
         SELECT Name, Title, Department, Email, PhoneExt, Salary
         FROM EmployeeDirectory
         WHERE 0=0
<!--- if a value is passed for Name, use the SQL LIKE command and the %
      wildcard to include a wildcarded search for the Name, including it
      in the SQL statement using the AND operator. --->
<CFIF Form.Name NEQ "">
    AND Name LIKE '%#Form.Name#%'
</CFIF>

<!--- if a value is passed for Title, use the SQL LIKE command and the %
      wildcard to include a wildcarded search for the Title, including it
      in the SQL statement using the AND operator. --->
<CFIF Form.Title NEQ "">
    AND Title LIKE '%#Form.Title#%'
</CFIF>

<!--- if the value passed for Department is "", omit the AND statement 
      for Department, removing Department as a criteria.  If Department 
      contains any values other than "", use those values to construct 
      the dynamic AND for Department. --->
<CFIF Form.Department NEQ "">
    AND Department IN (#ListQualify(Form.Department, "'")#)
</CFIF>
</CFQUERY>
             
<CFOUTPUT>
<B>#GetRecords.RecordCount# records matched your search criteria:</B><BR>
Name like: #Form.Name#<BR>
Title like: #Form.Title#<BR>
Department: #Form.Department#
</CFOUTPUT>

<P>
<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
    <TH>Name</TH>
    <TH>Title</TH>
    <TH>Department</TH>
    <TH>E-mail</TH>
    <TH>Phone Extension</TH>
    <TH>Salary</TH>
</TR>    
<!--- generate an HTLML table containing all of the records matching the
      search criteria --->
<CFOUTPUT QUERY="GetRecords">
<TR BGCOLOR="##C0C0C0">
    <TD>#Name#</TD>
    <TD>#Title#</TD>
    <TD>#Department#</TD>
    <TD><A HREF="Mailto:#Email#">#Email#</A></TD>
    <TD>#PhoneExt#</TD>
    <TD>#Salary#</TD>
</TR>    
</CFOUTPUT>
</TABLE>
