<!--- Retrieve employee records from the EmpoloyeeDirectory.  Employ a
      subquery to obtain the average salary of all employees  --->
<CFQUERY NAME="GetSalaries" DATASOURCE="ProgrammingCF">
         SELECT Name, Title, Department, 
                Salary, (SELECT AVG(Salary)
                         FROM EmployeeDirectory) AS AverageSalary
         FROM EmployeeDirectory
         ORDER BY Name
</CFQUERY>

<H3>Average Salary Report</H3>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Title</TH>
  <TH>Department</TH>
  <TH>Salary</TH>
</TR>
<!--- output the employee records --->    
<CFOUTPUT QUERY="GetSalaries">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD>
  <TD>#Title#</TD>
  <TD>#Department#</TD>
  <TD ALIGN="Right">#DollarFormat(Salary)#</TD>
</TR>    
</CFOUTPUT>

<!--- output the average employee salary.  Note that the QUERY attribute of
      the CFOUTPUT tag was not used.  The query name is prepended to the 
      AverageSalary salary variable --->
<CFOUTPUT>
<TR BGCOLOR="##808080">
  <TD>Average Salary</TD>
  <TD COLSPAN="3" ALIGN="Right">#DollarFormat(GetSalaries.AverageSalary)#</TD>
</TR>
</CFOUTPUT>
</TABLE>
