<!--- query the EmployeeDirectory and IncentiveAwards tables and only return
      records where the ID from the EmployeeDirectory table matches the ID in 
      the IncentiveAwards table.  The inner join is performed by the INNER
      JOIN operator. --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF">
         SELECT employee.ID, employee.Name, incentive.ID, 
                incentive.Category, incentive.DateAwarded, incentive.Amount
         FROM EmployeeDirectory employee 
         INNER JOIN IncentiveAwards incentive
         ON employee.ID = incentive.ID
</CFQUERY>

<H3>Incentive Awards</H3>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Award Type</TH>
  <TH>Date Awarded</TH>
  <TH>Amount</TH>
</TR>

<!--- dynamically generate a table containing all of the records returned 
      by the query --->
<CFOUTPUT QUERY="GetEmployeeInfo">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD>
  <TD>#Category#</TD>
  <TD>#DateFormat(DateAwarded, 'mm/dd/yyyy')#</TD>
  <TD>#DollarFormat(Amount)#</TD>
</TR>
</CFOUTPUT>
</TABLE>
