<!--- Thanks to Sean Clairmont of Team Allaire for helping to refine the 
      original code --->
<!--- query the employeedirectory table for a list of employee names --->
<CFQUERY NAME="GetEmployeeInfo" DATASOURCE="ProgrammingCF">
         SELECT Name,Email
         FROM EmployeeDirectory
         ORDER BY Name
</CFQUERY>

<!--- Columns sets the total number of output columns. ---> 
<CFSET Columns = 3>
<CFSET CurrentColumn = 0>
<CFSET RowCompleted = 0>
<!--- Set the total number of rows equal to the number of records divided by 
      the number of columns. ---> 
<CFSET Rows=Int(GetEmployeeInfo.RecordCount/Columns)>
<!--- Set a variable to hold the number of columns with extra records --->
<CFSET OddColumns = GetEmployeeInfo.RecordCount MOD Columns>
<!--- if there are columns with extra records, increase the number of rows by 
      one --->
<CFIF OddColumns NEQ 0>
  <CFSET Rows = IncrementValue(Rows)>
</CFIF>
<CFSET Increment = IncrementValue(Int(GetEmployeeInfo.RecordCount/Columns))>

<H2>Multicolumn Query Output Sorted Top to Bottom</H2>

<TABLE BORDER=0>
<CFPROCESSINGDIRECTIVE SUPPRESSWHITESPACE="Yes">
<!--- create a loop that iterates a number of times equal to the total number 
      of output rows needed --->
<CFLOOP FROM="1" TO="#rows#" INDEX="Row">
  <CFSET LeftOverIncrement = 0>
  <TR>
  <!--- create an inner loop for handling each column --->
  <CFLOOP INDEX="Column" FROM="1" TO="#Columns#">
    <CFIF Column GT (OddColumns + 1) >		
      <CFSET LeftOverIncrement = IncrementValue(LeftOverIncrement)>
    </CFIF>
    <!--- Set the current row and column --->
  	<CFSET CurrentRow = (Row + (Increment * (CurrentColumn) )  - LeftOverIncrement) >
  	<CFSET CurrentColumn = IIf(CurrentColumn is (columns - 1),0 ,IncrementValue(CurrentColumn))>
    <!--- Output the current row --->
    <CFOUTPUT>      
    <TD><CFIF (Row lt Increment or OddColumns gt 0) AND (CurrentRow LTE GetEmployeeInfo.Recordcount)>
			    #GetEmployeeInfo.name[CurrentRow]#
        <CFELSE>
           &nbsp;
    		</CFIF></TD>
    </CFOUTPUT>
    
		<CFIF Row is Increment>
			<CFSET RowCompleted = IncrementValue(RowCompleted)>
		</CFIF>
		<CFIF RowCompleted is OddColumns>
			<CFSET OddColumns = 0>
		</CFIF>    
  </CFLOOP>
  </TR>
</CFLOOP>
</CFPROCESSINGDIRECTIVE>
</TABLE>
