<!--- If no search string is passed, assume user wants all documents in the
      collection, so assign a wildcard (*) to the search string --->
<CFIF Form.SearchString IS "">
   <CFSET Form.SearchString = "*">
</CFIF>  

<!--- Check to see if search is for titles only --->
<CFIF Form.SearchIn IS "Title">
   <CFSET SearchString="CF_Title <CONTAINS> " & "#SearchString#">
</CFIF>

<!--- Check to see if search is to be case sensitive --->
<CFIF NOT Form.CaseSensitive>
   <CFSET SearchString=LCASE(SearchString)>
<CFELSE>
   <CFSET SearchString ="<CASE>" & "#SearchString#">
</CFIF>

<CFSEARCH 
   NAME="MySearch" TYPE="Explicit" COLLECTION="cfdocumentation" 
   CRITERIA = "#SearchString#">
<CENTER>
<H2>Search Results</H2>

<CFIF MySearch.RecordCount IS 0>
   <CFOUTPUT>
   <P>Sorry.  No instances of #Form.SearchString# were found in the specified 
   collection(s).  Please hit the back button on your browser and try again. 
   </CFOUTPUT>
   <CFABORT>    
</CFIF>

<TABLE>
<TR>
   <TD COLSPAN="2">
      <CFOUTPUT>
      Your search for <FONT COLOR="##0000FF">#Form.SearchString#</FONT> turned 
      up #MySearch.RecordCount# matches out of #MySearch.RecordsSearched# records
      searched.
      </CFOUTPUT>
   </TD>        
<TR>
   <TD><B>Title</B></TD><TD><B>Score</B></TD>
</TR>
<TR>
   <TD COLSPAN="2"><HR></TD>
</TR>    

<CFOUTPUT QUERY="MySearch">
<TR>
   <TD><A HREF="/cfdocs/#URL#">#Title#</A></TD>
   <TD><CFIF Score IS NOT ""> #Evaluate(Score * 100)#%</CFIF></TD>
</TR>
</CFOUTPUT>
</TABLE>
</CENTER>
