<CFSETTING ENABLECFOUTPUTONLY="Yes">
<!----------------------------------------------------------------------------
NAME:           CF_HTMLbGone
FILE:           HTMLbGOne.cfm
CREATED:        04/23/1999
LAST MODIFIED:  06/29/2000
VERSION:        1.0
AUTHOR:         Rob Brooks-Bilson (rbils@amkor.com)
DESCRIPTION:    CF_HTMLbGone is a custom CFML tag that strips HTML tags 
                from blocks of text using a regular expression.  
ATTRIBUTES:     OPTIONAL                                 
                OutVar(string) = Name to assign to the variable returned by the
                                 tag containing the HTML free text.  If no 
                                 OUTVAR is specified, the stripped output is
                                 written back to ThisTag.GeneratedContent.                
                PreText(Yes/No) = If Yes, surrounds returned text in <PRE></PRE>
                                  tags so that some amount of formatting from
                                  the original page is preserved.  The default 
                                  is No.           
KNOWN ISSUES:   None
----------------------------------------------------------------------------->
<CFSWITCH EXPRESSION = "#ThisTag.ExecutionMode#"> 

<!--- begin processing when ThisTag.ExecutionMode is Start (when the tag is
      opened) --->
<CFCASE VALUE="Start">
<!--- Check to make sure an end tag is present.  If not, output a message and
      abort processing --->
<CFIF NOT ThisTag.HasEndTag>
    <CFOUTPUT>      
    <B>This tag requires a matching end tag.  Please review your code and make
       sure the tag is paired: &lt;CF_HTMLbGone&gt;&lt;/CF_HTMLbGone&GT;</B>
    </CFOUTPUT>   
    <CFABORT>
</CFIF>
</CFCASE>

<!--- process this part of the tag when ThisTag.ExecutionMode is End (after the 
      tag is closed) --->
<CFCASE VALUE="End">
<!--- strip all HTML from between the tags.  Assign the results to a local 
      variable --->
<CFSET Local_GeneratedContent = REReplace(ThisTag.GeneratedContent, "<[^>]*>", 
       "", "All")>

<!--- Clear the contents of ThisTag.GeneratedContent --->
<CFSET ThisTag.GeneratedContent = "">

<!--- see if the optional attribute PreText was passed and if so, assign
      it to a local variable --->
<CFIF IsDefined('Attributes.PreText') AND Attributes.PreText EQ "Yes">
  <CFSET Local_GeneratedContent = "<Pre>#Local_GeneratedContent#</PRE>">
</CFIF>

<!--- Send the string back with all HTML removed.  --->
<CFIF IsDefined('Attributes.OutVar') AND Attributes.OutVar NEQ "">
    <CFSET "Caller.#Attributes.OutVar#" = Local_GeneratedContent>
<CFELSE>
    <CFSET ThisTag.GeneratedContent = Local_GeneratedContent>
</CFIF>    
</CFCASE>
</CFSWITCH>
<CFSETTING ENABLECFOUTPUTONLY="No">
