<!--- if an attribute called Title exists, create a local copy of it.  Title is
      the only attribute used by the tags in this example. --->
<CFIF IsDefined('Attributes.Title')>
    <CFSET Title = Attributes.Title>
</CFIF>

<!--- this code executes when the CF_Parent tag is first opened --->
<CFSWITCH EXPRESSION = "#ThisTag.ExecutionMode#"> 
<CFCASE VALUE="Start">

<!--- check to make sure an end tag for CF_BaseTag is present.  If not, write a
      message out to the browser and abort processing.  This is necessary
      because you can't nest tags without using an end tag. --->
<CFIF NOT ThisTag.HasEndTag>
    <B>No end tag for the CF_BaseTag tag was found.  This tag can only be invoked 
    when both a &lt;CF_BaseTag&gt; and a &lt;/CF_BaseTag&gt; are present.</B>
    <P>
    <B>Processing Aborted...</B>
    <CFABORT>
</CFIF>

<H3>Begin CF_BaseTag tag</H3>
<b>Call CF_SubTag Tags</b>
<UL>
</CFCASE>


<!--- when the CF_Parent end tag is detected, this code executes --->
<CFCASE VALUE="End">
</UL>
<b>Finished Calling CF_SubTag Tags</b>
<P>

<!--- check to see if any attributes were passed back from a sub tag 
      associated with this base tag --->
<CFIF IsDefined('ThisTag.AssocAttribs')>
<b>Still in the CF_BaseTag Tag...</b>
<P>

<!--- output the total number of sub tags associated with this tag --->
<CFOUTPUT>
<b>#Title# has #ArrayLen(ThisTag.AssocAttribs)# sub tags.</b>
</CFOUTPUT>

<!--- output the TITLE attribute of each sub tag associated with this tag --->
<UL>
<CFLOOP INDEX="i" FROM="1" TO="#ArrayLen(ThisTag.AssocAttribs)#">
  <CFOUTPUT>
    <LI>Sub tag #i# is #ThisTag.AssocAttribs[i].Title#</LI>
  </CFOUTPUT>
</CFLOOP>
</UL>
</CFIF>

<H3>End CF_BaseTag Tag</H3>
</CFCASE>
</CFSWITCH>
