<!--- create a structure called stock to hold a stock quote --->
<CFSET STOCK = STRUCTNEW()>

<CFSET Stock.Company = "Allaire">
<CFSET Stock.Ticker = "ALLR">
<CFSET Stock.Exchange = "NASDAQ">
<CFSET Stock.Price = "66.25">
<CFSET Stock.Change = "+0.375">
<CFSET Stock.LastTradeTime = "10:17AM">
<CFSET Stock.LastTradeDate = "02/02/2001">
<CFSET Stock.Volume = "8300">

<!--- serialize the stock structure to a wddx packet --->
<CFWDDX ACTION="CFML2WDDX" INPUT="#Stock#" OUTPUT="StockStructure">

<!--- output the wddx packet in a text area so you can see the entire packet --->
<H3>WDDX Packet Containing a Structure</H3>
<FORM>
<CFOUTPUT>
<TEXTAREA ROWS="10" COLS="80" WRAP="virtual">#HTMLEditFormat(StockStructure)#
</TEXTAREA>
</CFOUTPUT>
</FORM>

<!--- deserialize the wddx packet containing the structure --->
<CFWDDX ACTION="WDDX2CFML" INPUT="#StockStructure#" 
        OUTPUT="DeserializedStockStructure">

<CFSET MyKeyArray = StructKeyArray(DeserializedStockStructure)>

<H3>Here Is The Deserialized Structure:</H3>  
<TABLE>
<TR>
  <TH>Key</TH><TH>Value</TH>
</TR>
<CFLOOP index="position" from="1" to="#ArrayLen(MyKeyArray)#">
<CFOUTPUT>
<TR>
  <TD>#MyKeyArray[position]#</TD>
  <TD>#DeserializedStockStructure[MyKeyArray[position]]#</TD>
</TR>
</CFOUTPUT>
</CFLOOP>
</TABLE>
