<!--- get all of the employees from the EmployeeDirectory table.  This query
      is used to populate the employee drop down box --->
<CFQUERY NAME="GetEmployees" DATASOURCE="ProgrammingCF">
         SELECT ID, Name FROM EmployeeDirectory
</CFQUERY>

<!--- retrieve the refresh interval (in seconds) for the scheduler from the 
      registry --->
<CFREGISTRY ACTION="GET" 
   BRANCH="HKEY_LOCAL_MACHINE\Software\Allaire\ColdFusion\CurrentVersion\Schedule" 
   ENTRY="CheckInterval" VARIABLE="TheInterval" TYPE="String">

<H2>Schedule Report</H2>

<FORM ACTION="ScheduleTheTask.cfm" METHOD="POST">
<TABLE BORDER=0 >
<TR>
  <!--- Populate the employee drop down with the query results from earlier --->
  <TD><B>Employee:</B></TD>
  <TD><SELECT NAME="Employee">
        <CFOUTPUT QUERY="GetEmployees">
        <OPTION VALUE="#ID#">#Name#</OPTION>
        </CFOUTPUT>
      </SELECT>
  </TD>
</TR>
<TR>
  <TD><B>Task Name:</B></TD>
  <TD><INPUT NAME="TaskName" TYPE="Text" SIZE="20" MAXLENGTH="255"></TD>
</TR>
<TR>
  <!--- specifies the type of report to schedule --->
  <TD><B>Delivery Format:</B></TD> 
  <TD><SELECT NAME="DeliveryFormat">
        <OPTION VALUE="Email" SELECTED>E-mail
        <OPTION VALUE="HTMLPage">HTML Page</SELECT>
  </TD>
</TR>
<TR>
  <TD><B>Start Date:</B></TD>
  <TD><CFOUTPUT><INPUT NAME="StartDate" TYPE="TEXT" VALUE="#DateFormat(Now(),
      'mm/dd/yy')#" SIZE=10></CFOUTPUT></TD>
</TR>
<TR>
  <TD><B>Schedule to run </B></TD>
  <TD><SELECT NAME="Interval">
        <OPTION VALUE="Daily">Daily
        <OPTION VALUE="Weekly">Weekly
        <OPTION VALUE="Monthly">Monthly
      </SELECT> at 
      <CFOUTPUT> 
      <!--- output the refresh interval in minutes --->
      <INPUT NAME="StartTime" TYPE="TEXT" VALUE="#TimeFormat(DateAdd("N", 15,
             Now()),'HH:mm:ss')#" SIZE=10> (EST)
      </CFOUTPUT>
  </TD>                   
</TR>
<TR>
  <CFOUTPUT>
  <TD COLSPAN="2"><B>Note: Our scheduler checks for newly scheduled tasks every #Evaluate(TheInterval/60)# minutes.</B></TD>
  </CFOUTPUT>
</TR>
<TR>
  <TD COLSPAN="2" ALIGN="center"><INPUT NAME="Create" TYPE="SUBMIT" 
      VALUE="Schedule">
  </TD>
</TR>
</TABLE>
</FORM>
