<!--- retrieve a specific employee record --->
<CFQUERY NAME="GetRecord" DATASOURCE="ProgrammingCF">
         SELECT Name, Department
         FROM EmployeeDirectory
         WHERE ID=1
</CFQUERY>

<!--- retrieve a unique list of departments from the Department column
      of the EmployeeDirectory using the DISTINCT operator --->
<CFQUERY NAME="GetDepartments" DATASOURCE="ProgrammingCF">
         SELECT DISTINCT Department
         FROM EmployeeDirectory
         ORDER BY Department
</CFQUERY>

<H2>Populating a Select List</H2>
<FORM>
<TABLE>
<TR>
  <TD>Name:</TD>
  <TD><CFOUTPUT>#GetRecord.Name#</CFOUTPUT></TD>
</TR>
<TR>
  <TD>Department:</TD>
  <TD><SELECT NAME="Department">
      <!--- dynamically generate the department list from the
            GetDepartments query.  Use a CFIF statement to determine if 
            the current option tag is equal to the Department value 
            retrieved as part of the employee record. If so, add the
            SELECTED attribute to the option tag --->
      <CFOUTPUT QUERY="GetDepartments">
      <OPTION VALUE="#Department#"<CFIF GetRecord.Department EQ 
              GetDepartments.Department>
              SELECTED</CFIF>>#GetDepartments.Department#</OPTION>
      </CFOUTPUT>
      </SELECT></TD>
</TR>
</TABLE>
</FORM>
