<!--- retrieve a list of all employees who are in the IT department --->
<CFQUERY NAME="GetITEmployees" DATASOURCE="ProgrammingCF">
         SELECT Name
         FROM EmployeeDirectory
         WHERE Department = 'IT'
</CFQUERY>

<!--- retrieve all the employee from the EmployeeDirectory table --->
<CFQUERY NAME="GetAllEmployees" DATASOURCE="ProgrammingCF">
         SELECT ID, Name
         FROM EmployeeDirectory
         ORDER BY Name
</CFQUERY>

<!-- the ValueList function is used to build a comma-delimited list of
     values from a query column --->
<CFSET EmployeeList = ValueList(GetITEmployees.Name)>

<H2>Populating Multiple Checkboxes</H2>
<FORM>
<TABLE>
<TR>
  <TD><B>Department:</B></TD>
  <TD>IT</TD>
</TR>

<!--- generate the individual checkboxes by looping over the query 
      results and creating a check box for each record.  Check the
      appropriate boxes based on the CFIF statement. --->
<TR>
<TD VALIGN="top"><B>Name:</B></TD>
<TD><CFLOOP QUERY="GetAllEmployees">
    <CFOUTPUT>
    <INPUT TYPE="Checkbox" NAME="Employees"
           VALUE="#GetAllEmployees.ID#" <CFIF ListFind(EmployeeList,
           GetAllEmployees.Name)>
           CHECKED</CFIF>>#GetAllEmployees.Name#<BR>
    </CFOUTPUT>
    </CFLOOP></TD>
</TR>
</TABLE>
</FORM>
