<CFSETTING ENABLECFOUTPUTONLY="Yes">
<CFAPPLICATION NAME="MyApplication" CLIENTMANAGEMENT="Yes"
               SESSIONMANAGEMENT="Yes" SETCLIENTCOOKIES="Yes"
               SESSIONTIMEOUT="#CreateTimeSpan(0, 0, 30, 0)#"
               APPLICATIONTIMEOUT="#CreateTimeSpan(0, 0, 30, 0)#"
               CLIENTSTORAGE="Registry">

<!--- Set the default session state to false, meaning that by default, 
      users are NOT logged into the application --->
<CFLOCK SCOPE="Session" TYPE="Exclusive" TIMEOUT="10"> 
  <CFPARAM NAME="Session.LoggedIn" DEFAULT="False">
</CFLOCK>

<!--- if the user isn't logged in or they aren't currently on the login 
      page, send them to the login page --->
<CFLOCK SCOPE="Session" TYPE="ReadOnly" TIMEOUT="10"> 
  <CFIF NOT Session.LoggedIn>
    <CFIF (CGI.SCRIPT_NAME IS NOT "/examples/7/portal/Login.cfm")
      AND (CGI.SCRIPT_NAME IS NOT "/examples/7/portal/Validate.cfm")
      AND (CGI.SCRIPT_NAME IS NOT
          "/examples/7/portal/RegistrationForm.cfm")
      AND (CGI.SCRIPT_NAME IS NOT 
          "/examples/7/portal/RegistrationProcess.cfm")>
        <CFLOCATION URL="/examples/7/portal/login.cfm" ADDTOKEN="No">
    </CFIF>
  </CFIF>
</CFLOCK>

<!--- Reset the CFID and CFToken cookies to expire session and client 
      variables after the user's browser closes --->               
<CFIF IsDefined("Cookie.CFID") AND IsDefined("Cookie.CFToken")>
    <CFCOOKIE NAME="CFID" VALUE="#Cookie.CFID#">
    <CFCOOKIE NAME="CFToken" VALUE="#Cookie.CFToken#">
</CFIF>

<!--- check to see if the application has been initialized.  If not, 
      set the necessary application variables and initialize the app --->
<CFLOCK SCOPE="Application" TYPE="Exclusive" TIMEOUT="10">
  <CFIF NOT IsDefined('Application.Initialized')>
    <CFSET Application.DSN = "ProgrammingCF">
    <CFSET Application.AdminEmail = "webmaster@example.com">
    <!--- Set the application.initialized variable to true so that this 
          block of code does not execute every time the Application.cfm 
          file is called --->
    <CFSET Application.Initialized = TRUE>
  </CFIF>
</CFLOCK>
<CFSETTING ENABLECFOUTPUTONLY="No">
