<!--- assign a default value to ReturnQuery in the event the variable 
      does not exist --->
<CFPARAM NAME="ReturnQuery" DEFAULT="GetcollectionNames">

<!--- check to see that an attribute called ReturnQuery was passed to
      the tag and that it is not blank.  If either condition is False, 
      use the default set by the CFPARAM tag at the beginning of the 
      template --->
<CFIF IsDefined('Attributes.ReturnQuery') AND Attributes.ReturnQuery 
      NEQ "">
   <CFSET ReturnQuery = Attributes.ReturnQuery>
</CFIF>

<!--- impersonate a valid user for the SharedTags context. --->
<CFIMPERSONATE SECURITYCONTEXT="SharedTags" USERNAME="SharedTag"
               PASSWORD="Free4All" TYPE="CF">
               
<!--- get a list of Verity collections from the registry --->               
<CFREGISTRY ACTION="GetAll"
          BRANCH= "HKEY_LOCAL_MACHINE\SOFTWARE\Allaire\ColdFusion\CurrentVersion\Collections"
          TYPE="Key" NAME="TheRegistryQuery">
            
</CFIMPERSONATE>

<!--- return the query object containing the names of the Verity 
      collections obtained from the registry.  Use the value passed in 
      to the custom tag as the name of the query object --->
<CFSET 'Caller.#ReturnQuery#' = TheRegistryQuery>
